-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
CREATE procedure [C6MartPeriodico].[DM_PATRIMONIO_IMMOBILIARE]  
AS  
BEGIN  
 SET NOCOUNT ON;  
 DECLARE @ID_ELAB INT  
 DECLARE @TIPO_ELAB VARCHAR(1)  
 SET @ID_ELAB = C6MartPeriodico.GETIDELAB()  
 SET @TIPO_ELAB = C6MartPeriodico.GETTIPOELAB()  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'DM_PATRIMONIO_IMMOBILIARE',  
  GETDATE(),  
  'Elaborazione trimestrale'  
 )  
 TRUNCATE TABLE C6MartPeriodico.PATRIMONIO_IMMOBILIARE  
 INSERT INTO [C6MartPeriodico].[PATRIMONIO_IMMOBILIARE]  
           ([RETE]  
           ,[COD_FISCALE]  
           ,[DESCRIZIONE]  
           ,[TIPOLOGIA]  
           ,[LOCALITA]  
           ,[PROVINCIA]  
           ,[CAP]  
           ,[NAZIONE]  
           ,[VALORE_STIMATO]  
           ,[AFFITTO]  
           ,[NOTE]  
           ,[DIV_RIFERIMENTO]  
           ,[CAMBIO]  
           ,[ID_ELAB]  
           ,[TIPO_ELAB])  
 SELECT   
        --DISTINCT atringali 12012010  
  ALL_PATR_TERZI.RETE_PB AS RETE,  
  ALL_PATR_TERZI.CODICE_FISCALE AS COD_FISCALE,  
  ALL_PATR_TERZI.DESCRIZIONE_RDESCR AS DESCRIZIONE,  
        CASE ALL_PATR_TERZI.TIPOLOGIA_RDESCR  
             WHEN 'Civil' THEN 'Civile'  
             WHEN 'Economic' THEN 'Economica'  
             WHEN 'Posh' THEN 'Signorile'  
             ELSE ''   
        END AS TIPOLOGIA,  
  ALL_PATR_TERZI.LOCALITA AS LOCALITA,  
  NULL AS PROVINCIA,  
  NULL AS CAP,  
  NULL AS NAZIONE,  
  ALL_PATR_TERZI.PATRIMONIO_IMMOBILIARE AS VALORE_STIMATO,  
  ALL_PATR_TERZI.AFFITTOPERCEPITO AS AFFITTO,  
  NULL AS NOTE,  
  NULL AS DIV_RIFERIMENTO,  
  NULL AS CAMBIO,  
  @ID_ELAB AS ID_ELAB,  
  @TIPO_ELAB AS TIPO_ELAB  
 FROM   
  C6StagingPeriodico.ALL_PATR_TERZI  
 WHERE   
  ALL_PATR_TERZI.CHIAVE_PR_31921 IS NOT NULL  
  AND ALL_PATR_TERZI.DESCRIZIONE_RDESCR IS NOT NULL   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'DM_PATRIMONIO_IMMOBILIARE' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE  
   WHERE  
    Nome = 'DM_PATRIMONIO_IMMOBILIARE'  
  )  
END